#if !defined(__x_bcppap_h)              // Sentry, use file only if it's not already included.
#define __x_bcppap_h

/*  Project ex_bcpp
    D. Heiderich
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    ex_bcpp.exe Application
    FILE:         x_bcppap.h
    AUTHOR:       D. Heiderich


    OVERVIEW
    ========
    Class definition for ex_bcppApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\editfile.h>
#include <owl\opensave.h>

#include "x_bcppap.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TDecoratedFrame = SDIDecFrame}}
class SDIDecFrame : public TDecoratedFrame {
public:
    SDIDecFrame (TWindow *parent, const char far *title, TWindow *clientWnd, BOOL trackMenuSelection = FALSE, TModule *module = 0);
    ~SDIDecFrame ();
};    //{{SDIDecFrame}}


//{{TApplication = ex_bcppApp}}
class ex_bcppApp : public TApplication {
private:
    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.

public:
    ex_bcppApp ();
    virtual ~ex_bcppApp ();

    void OpenFile (const char *fileName = 0);
//{{ex_bcppAppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{ex_bcppAppVIRTUAL_END}}

//{{ex_bcppAppRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmFileClose ();
	 void CmHelpAbout ();
	 void yrtest();
	 void yraddline();
	 void yrclear();
	 void yrrun();
	 void yrstop();
	 void yrmacro();
	 void yrhide();
	 void yrshow();
//{{ex_bcppAppRSP_TBL_END}}
  DECLARE_RESPONSE_TABLE(ex_bcppApp);
};    //{{ex_bcppApp}}


#endif                                      // __x_bcppap_h sentry.
